'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _pick2 = require('lodash/pick');

var _pick3 = _interopRequireDefault(_pick2);

var _defaultsDeep2 = require('lodash/defaultsDeep');

var _defaultsDeep3 = _interopRequireDefault(_defaultsDeep2);

exports.default = function (context) {
  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  (0, _defaultsDeep3.default)(opts, {
    env: false,
    es2015: {
      modules: false
    },
    es2016: true,
    es2017: true,
    flow: true,
    lodash: {
      id: 'lodash-es',
      es: true
    },
    runtime: {
      polyfill: !opts.env,
      regenerator: !opts.env
    }
  });

  return {
    presets: [opts.env ? [_babelPresetEnv2.default, opts.env] : [_babelPresetLatest2.default, (0, _pick3.default)(opts, ['es2015', 'es2016', 'es2017'])]],
    plugins: [opts.flow !== false && _babelPluginTransformFlowStripTypes2.default, opts.lodash !== false && [_babelPluginLodash2.default, (0, _pick3.default)(opts.lodash, ['id', 'cwd'])], opts.lodash.es !== false && _useLodashEs2.default, opts.runtime !== false && [_babelPluginTransformRuntime2.default, opts.runtime], _babelPluginTransformObjectRestSpread2.default].filter(Boolean)
  };
};

var _babelPluginLodash = require('babel-plugin-lodash');

var _babelPluginLodash2 = _interopRequireDefault(_babelPluginLodash);

var _babelPluginTransformFlowStripTypes = require('babel-plugin-transform-flow-strip-types');

var _babelPluginTransformFlowStripTypes2 = _interopRequireDefault(_babelPluginTransformFlowStripTypes);

var _babelPluginTransformObjectRestSpread = require('babel-plugin-transform-object-rest-spread');

var _babelPluginTransformObjectRestSpread2 = _interopRequireDefault(_babelPluginTransformObjectRestSpread);

var _babelPluginTransformRuntime = require('babel-plugin-transform-runtime');

var _babelPluginTransformRuntime2 = _interopRequireDefault(_babelPluginTransformRuntime);

var _babelPresetEnv = require('babel-preset-env');

var _babelPresetEnv2 = _interopRequireDefault(_babelPresetEnv);

var _babelPresetLatest = require('babel-preset-latest');

var _babelPresetLatest2 = _interopRequireDefault(_babelPresetLatest);

var _useLodashEs = require('./plugins/use-lodash-es');

var _useLodashEs2 = _interopRequireDefault(_useLodashEs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = exports['default'];